/* See newsAlert.js for license.*/

var providerName     = "example"
var providerURL      = "http://newsAlert.mozdev.org/testNewsAlert.html"
var providerInterval = 5

function parseNews(raw) {
    var start = raw.indexOf("<!-- sharpen your pencil -->");
    var end   = raw.indexOf("<!-- /sharpen your pencil -->");
    
    if (start == -1 || end == -1) {
        debug("no updates for example.com " + start + " " + end);
        return "";
    }

    var news  = raw.slice(start,end);

    if (news.length == 0) {
        debug("no updates for example.com");
        return "";
    }

    var header = "<html><head><title>Testing News Alert!</title><base href=\"http://newsAlert.mozdev.org/\"><base target=\"_blank\"></head>";
    header += "<table cellpadding=\"0\" cellspacing=\"0\" border=\"1\" width=\"500\"><tbody><tr><td valign=\"top\">";
    
    var footer = "</td></tr></tbody></table>";    
    footer += "<center><form><input type=button value=\"Close\"onClick=\"window.close()\"></form></center>"; 

    return header + news + footer;
}
